using FluentValidation;
using GreenTree.Nachtragsmanagement.Web.Models.Appendix;
using GreenTree.Nachtragsmanagement.Web.Models.Deviation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace GreenTree.Nachtragsmanagement.Web.Validation.Appendix
{
    public class StateDataModelValidator : AbstractValidator<StateDataModel>
    {
        public StateDataModelValidator()
        {
            RuleFor(m => m.Description)
                .NotEmpty()
                    .WithMessage("Beschreibung wird benötigt")
                .MaximumLength(50)
                    .WithMessage("Muss unter 50 Zeichen sein");

            RuleFor(m => m.HexColor)
                .NotEmpty()
                    .WithMessage("Eine Farbe muss ausgewählt werden");
        }
    }
}